org.keycloak.dom.saml.v1.protocol

## Class SAML11RequestType

- java.lang.Object
- - org.keycloak.dom.saml.common.CommonRequestAbstractType
  - - org.keycloak.dom.saml.v1.protocol.SAML11RequestAbstractType
    - - org.keycloak.dom.saml.v1.protocol.SAML11RequestType

- All Implemented Interfaces:
    Serializable

      public class SAML11RequestType
      extends SAML11RequestAbstractType

  Since:
    Jun 22, 2011
  Author:
    Anil.Saldhana@redhat.com
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<String>` | `assertionArtifact`
    `protected List<String>` | `assertionIDRef`
    `protected SAML11QueryAbstractType` | `query`

    - ### Fields inherited from class org.keycloak.dom.saml.v1.protocol.SAML11RequestAbstractType

      `majorVersion, minorVersion, respondWith`

    - ### Fields inherited from class org.keycloak.dom.saml.common.CommonRequestAbstractType

      `id, issueInstant, signature`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAML11RequestType(String id, XMLGregorianCalendar issueInstant)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAssertionArtifact(String sadt)`
    `void` | `addAssertionIDRef(String sadt)`
    `List<String>` | `getAssertionArtifact()`
    `List<String>` | `getAssertionIDRef()`
    `SAML11QueryAbstractType` | `getQuery()`
    `boolean` | `removeAssertionArtifact(String sadt)`
    `boolean` | `removeAssertionIDRef(String sadt)`
    `void` | `setQuery(SAML11QueryAbstractType query)`

    - ### Methods inherited from class org.keycloak.dom.saml.v1.protocol.SAML11RequestAbstractType

      `add, addAllConditions, getMajorVersion, getMinorVersion, getRespondWith, remove`

    - ### Methods inherited from class org.keycloak.dom.saml.common.CommonRequestAbstractType

      `getID, getIssueInstant, getSignature, setSignature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### query

          protected SAML11QueryAbstractType query

    - #### assertionIDRef

          protected List<String> assertionIDRef

    - #### assertionArtifact

          protected List<String> assertionArtifact

  - ### Constructor Detail

    - #### SAML11RequestType

          public SAML11RequestType(String id,
                                   XMLGregorianCalendar issueInstant)

  - ### Method Detail

    - #### addAssertionIDRef

          public void addAssertionIDRef(String sadt)

    - #### removeAssertionIDRef

          public boolean removeAssertionIDRef(String sadt)

    - #### getAssertionIDRef

          public List<String> getAssertionIDRef()

    - #### addAssertionArtifact

          public void addAssertionArtifact(String sadt)

    - #### removeAssertionArtifact

          public boolean removeAssertionArtifact(String sadt)

    - #### getAssertionArtifact

          public List<String> getAssertionArtifact()

    - #### getQuery

          public SAML11QueryAbstractType getQuery()

    - #### setQuery

          public void setQuery(SAML11QueryAbstractType query)

Copyright © 2021 JBoss by Red Hat. All rights reserved.